import type { App } from "vue";
import DateRangePicker from "@/components/DateRangePicker/index.vue";
import GraceYearInput from "@/components/GraceYearInput/index.vue";
import InputNumberRange from "@/components/InputNumberRange/index.vue";
import Icon from "@/components/Icon/index.vue";
import SvgIcon from "@/components/SvgIcon/index.vue";
import YxTitle from "@/components/YxTitle/index.vue";
import PageToolbar from "@/components/PageToolbar/index.vue";
export default {
  install(app: App) {
    app.component("DateRangePicker", DateRangePicker);
    app.component("GraceYearInput", GraceYearInput);
    app.component("InputNumberRange", InputNumberRange);
    app.component("Icon", Icon);
    app.component("SvgIcon", SvgIcon);
    app.component("YxTitle", YxTitle);
    app.component("PageToolbar", PageToolbar);
  }
};
